﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.TaskScheduler.Models
{
    public class Transaction
    {
       
        public int Id { get; set; }

        /// <summary>
        /// 客戶代碼
        /// </summary>     
        public Guid CustomerId { get; set; }



        /// <summary>
        /// 槍號  1 byte string、本來是 string、改為byte
        /// </summary>      
        public byte ConnectorId { get; set; }


        /// <summary>
        /// TransactionId
        /// </summary>      
        public int TransactionId { get; set; }



        /// <summary>
        /// chargePointSerialNumber
        /// </summary>      
        public string ChargeBoxId { get; set; }

        /// <summary>
        /// StartIdTag
        /// </summary>       
        public string StartIdTag { get; set; }


        /// <summary>
        /// StopIdTag
        /// </summary>       
        public string StopIdTag { get; set; }

        /// <summary>
        /// 開始充電開始時間
        /// </summary>     
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 充電結束時間
        /// </summary>
        public DateTime StopTime { get; set; }

        /// <summary>
        /// 預約Id
        /// </summary>
        public int ReservationId { set; get; }

        /// <summary>
        /// 停止原因No
        /// </summary>
        public int StopReasonId { set; get; }



        /// <summary>
        /// 開始meter
        /// </summary>      
        public decimal MeterStart { get; set; }

        /// <summary>
        /// 結束meter
        /// </summary>       
        public decimal MeterStop { get; set; }

       


        /// <summary>
        /// 開始充電的回報時間
        /// </summary>
        public DateTime StartTransactionReportedOn { get; set; }

        /// <summary>
        /// 開始充電回報的次數
        /// </summary>
        public int RetryStartTransactionTimes { get; set; }

        /// <summary>
        /// 結束充電的回報時間
        /// </summary>
        public DateTime StopTransactionReportedOn { get; set; }

        /// <summary>
        /// 結束充電回報的次數
        /// </summary>
        public int RetryStopTransactionTimes { get; set; }

        /// <summary>
        /// 回調客戶API，問題紀錄
        /// </summary>
        public string ErrorMsg { set; get; }

        /// <summary>
        ///費率
        /// </summary>
        public string Fee { set; get; }



        /// <summary>
        /// 收據
        /// </summary>
        public string Receipt { set; get; }


        public decimal Cost { set; get; }

    }
}
